Bug 841842 - [abrt] python-2.7.3-6.fc17: sem_wait: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: sem_wait: Process /usr/bin/python2.7 was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:58821a074a16217818fe08fe0d1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 07:34 EDT by Tobias Mueller
Modified: 2013-07-31 15:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:32:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.27 KB, text/plain)
2012-07-20 07:34 EDT, Tobias Mueller
no flags Details
File: dso_list (16.52 KB, text/plain)
2012-07-20 07:34 EDT, Tobias Mueller
no flags Details
File: maps (90.74 KB, text/plain)
2012-07-20 07:34 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-07-20 07:34:08 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python -OO gajim.py
comment:        Gajim went nuts, i.e. hogging CPU. I closed a window and I remember having had this issue in the past when closing a chat window very very quickly after opening.
crash_function: sem_wait
executable:     /usr/bin/python2.7
kernel:         3.4.4-3.fc17.x86_64
pid:            3575
pwd:            /usr/share/gajim/src
time:           Fr 20 Jul 2012 12:33:15 CEST
uid:            1000
username:       muelli
var_log_messages: Jul 20 12:33:58 bigbox abrt[12189]: Saved core dump of pid 3575 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-20-12:33:15-3575 (470843392 bytes)

backtrace:      Text file, 44305 bytes
dso_list:       Text file, 16912 bytes
maps:           Text file, 92920 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/muelli/5

core_backtrace:
:73777e822e00ca152ffca281ab0ace0cb498ec48 0xd5fd sem_wait libpthread.so.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x107585 PyThread_acquire_lock libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x107682 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x1078fb PyThread_get_key_value libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf668c PyGILState_Ensure libpython2.7.so.1.0 -
:fac447a0873707c61a7ccabb85d63cc13c768dad 0x90b2 - _gobject.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e833 g_logv libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e9e2 g_log libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x7016c gtk_accel_group_activate libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x7156d gtk_accel_groups_activate libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x29ac29 gtk_window_activate_key libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x29acd7 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b9b7 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0x1a65a8 - _gtk.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdce46 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddc02 PyEval_EvalCode libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf6baa - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf79a2 PyRun_FileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf83bb PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x109892 Py_Main libpython2.7.so.1.0 -

environ:
:LC_PAPER=de_DE.utf8
:XDG_VTNR=1
:XDG_SESSION_ID=5
:LC_ADDRESS=de_DE.utf8
:HOSTNAME=bigbox
:LC_MONETARY=de_DE.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/muelli/keyring-vY8Iz1/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1f0b1dd00463efa5e536a1ef48f433dc-1341655286.489270-1899791230
:LC_NUMERIC=de_DE.utf8
:WINDOWID=33554518
:OLDPWD=/home/muelli/hg/
:GNOME_KEYRING_CONTROL=/run/user/muelli/keyring-vY8Iz1
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=muelli
:LC_TELEPHONE=de_DE.utf8
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/muelli/keyring-vY8Iz1/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1534,unix/unix:/tmp/.ICE-unix/1534
:USERNAME=muelli
:PATH=/home/muelli/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:MAIL=/var/spool/mail/muelli
:DESKTOP_SESSION=gnome
:LC_MESSAGES=en_US.utf8
:QT_IM_MODULE=xim
:LC_IDENTIFICATION=de_DE.utf8
:LC_COLLATE=de_DE.utf8
:PWD=/usr/share/gajim/src
:XMODIFIERS=@im=none
:EDITOR=nano
:KDE_IS_PRELINKED=1
:LANG=de_DE.utf8
:GNOME_KEYRING_PID=1529
:LC_MEASUREMENT=de_DE.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/muelli
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=muelli
:QTLIB=/usr/lib64/qt-3.3/lib
:VISUAL=nano
:CVS_RSH=ssh
:LC_CTYPE=de_DE.utf8
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EPBwAm2YTB,guid=cafe9b81a12860475a0c168c00000110
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/muelli
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:LC_TIME=de_DE.utf8
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-muelli-t6UpfX/database
:LC_NAME=de_DE.utf8

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63718                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63718                63718                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/8
:pos:	0
:flags:	0102002
:1:/dev/pts/8
:pos:	0
:flags:	0102002
:2:/dev/pts/8
:pos:	0
:flags:	0102002
:3:/tmp/gajim_tex3tC815.png
:pos:	0
:flags:	02500002
:4:socket:[158991]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[162494]
:pos:	0
:flags:	02004002
:7:socket:[162500]
:pos:	0
:flags:	02004002
:8:/home/muelli/.local/share/gajim/logs.db
:pos:	290040832
:flags:	02100002
:9:/home/muelli/.cache/gajim/cache.db
:pos:	40
:flags:	02100002
:10:socket:[170543]
:pos:	0
:flags:	02004002
:11:socket:[174119]
:pos:	0
:flags:	02004002
:12:socket:[184085]
:pos:	0
:flags:	02004002
:13:socket:[184370]
:pos:	0
:flags:	02000002
:14:socket:[184371]
:pos:	0
:flags:	02000002
:15:socket:[184372]
:pos:	0
:flags:	02004002
:16:socket:[184373]
:pos:	0
:flags:	02000002
:17:socket:[186128]
:pos:	0
:flags:	02004002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:pipe:[294615]
:pos:	0
:flags:	00
:20:pipe:[294615]
:pos:	0
:flags:	04001
:21:anon_inode:inotify
:pos:	0
:flags:	02004000
:22:socket:[94506096]
:pos:	0
:flags:	04002
:23:socket:[94505647]
:pos:	0
:flags:	04002
:24:socket:[94505669]
:pos:	0
:flags:	04002
Comment 1 Tobias Mueller 2012-07-20 07:34:13 EDT
Created attachment 599367 [details]
File: backtrace
Comment 2 Tobias Mueller 2012-07-20 07:34:16 EDT
Created attachment 599368 [details]
File: dso_list
Comment 3 Tobias Mueller 2012-07-20 07:34:19 EDT
Created attachment 599369 [details]
File: maps
Comment 4 Fedora Admin XMLRPC Client 2013-05-10 01:02:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:03:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:06:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:14:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:14:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2013-07-03 16:08:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 15:32:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.